Submit Device Heartbeat
curl --request POST \
--url https://{brand_domain}/api/mobile/v1/devices/heartbeats \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{brand_domain}/api/mobile/v1/devices/heartbeats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://{brand_domain}/api/mobile/v1/devices/heartbeats"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{brand_domain}/api/mobile/v1/devices/heartbeats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{brand_domain}/api/mobile/v1/devices/heartbeats"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{brand_domain}/api/mobile/v1/devices/heartbeats")
.header("Authorization", "Bearer <token>")
.asString();const url = 'https://{brand_domain}/api/mobile/v1/devices/heartbeats';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"server_time": "2026-06-23T14:15:45Z"
}
}API Reference
Submit Device Heartbeat
Pings the server to report that the device is online and checking for transactions.
The server updates the last_heartbeat timestamp in the database.
POST
https://{brand_domain}
/
api
/
mobile
/
v1
/
devices
/
heartbeats
Submit Device Heartbeat
Last modified on August 25, 2026
Related topics
DevicesSubmit Received SMSCompanion AppList Paired Companion DevicesFeatures and CapabilitiesWas this page helpful?